Api reference
A P I kanalı
Kendi sohbet sisteminizi ClickFix'e kanal olarak bağlama. Müşteri mesajlarını gönderirsiniz; temsilci yanıtları webhook ile size gelir.
POST
apiChannelSignatureheader
X-ClickFix-Signature<token>API kanalının imza anahtarıyla hesaplanan sha256= + hex(HMAC-SHA256(secret, timestamp + "." + ham_gövde)). X-ClickFix-Timestamp (Unix saniye) başlığıyla birlikte gönderilir.
instance*stringKanal kurulumunda verilen kanal kimliği.
X-ClickFix-Timestamp*stringİmzalama anı (Unix saniye).
application/json- body
id*stringStable unique message ID within this instance
Length
1 <= length <= 255sender_id*stringLength
1 <= length <= 255sender_name?stringtext*stringLength
1 <= length <= 32000thread_id?stringLength
length <= 255reply_to?stringat?stringFormat
date-timeMesaj alındı.
application/json- response
success*trueValue in
truedata*meta*curl -X POST 'https://api.getclickfix.com/v1/webhooks/channels/api/string' \ -H 'X-ClickFix-Timestamp: 1761732900' \ -H 'Content-Type: application/json' \ -d '{ "id": "msg-1001", "sender_id": "musteri-42", "sender_name": "Ayşe Yılmaz", "text": "Siparişim ne zaman gelir?"}'Example Response
{ "success": true, "data": { "received": true }, "meta": { "request_id": "string" }}X-ClickFix-Timestamp*stringUnix seconds
X-ClickFix-Signature*stringsha256= followed by hex HMAC-SHA256
Idempotency-Key*stringFormat
uuidapplication/json- body
JSON posted to the organization's public webhook URL with timestamped HMAC and Idempotency-Key.
id*stringFormat
uuidconversation_id*stringFormat
uuidrecipient_id*stringtext*stringthread_id*stringreply_to*stringDurably accepted, including duplicate id
Example Requests
POST/apiChannelReply
JSON posted to the organization's public webhook URL with timestamped HMAC and Idempotency-Key.
application/json
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "recipient_id": "string", "text": "string", "thread_id": "string", "reply_to": "string"}{ "X-ClickFix-Timestamp": "string", "X-ClickFix-Signature": "string", "Idempotency-Key": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}